petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISDifference

Computes the difference between two index sets.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISDifference(IS is1,IS is2,IS *isout)

Collective on IS

### Input Parameter

| is1 | - first index, to have items removed from it
| is2 | - index values to be removed

### Output Parameters

isout -is1 - is2

### Notes

Negative values are removed from the lists. is2 may have values that are not in is1. This requires O(imax-imin) memory and O(imax-imin) work, where imin and imax are the bounds on the indices in is1.

### See Also

ISDestroy(), ISView(), ISSum(), ISExpand()

### Level

intermediate

### Location

src/vec/is/is/utils/isdiff.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages